[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridPropertyBackup

Stores data about rows and columns used in a TCustomGrid class instance.

## Declaration

Source position: grids.pas line 633

`type TGridPropertyBackup = record`
`ValidData: Boolean;` |  | Indicates if the grid contains valid row or column counts.
`FixedRowCount: Integer;` |  | Number of fixed rows in the grid.
`FixedColCount: Integer;` |  | Number of fixed columns in the grid.
`RowCount: Integer;` |  | Number of rows in the grid.
`ColCount: Integer;` |  | Number of columns in the grid.
`end;`

## Description

TGridPropertyBackup is a record type used to store data about rows and columns, including fixed cells. Used internally in a TCustomGrid class instance.

## See also

TCustomGrid |  | Implements the base class for grid controls.